# Uses of Class
org.apache.commons.math3.geometry.euclidean.threed.Rotation

Packages that use Rotation
Package
Description
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.
org.apache.commons.math3.geometry.spherical.twod
This package provides basic geometry components on the 2-sphere.

## Uses of Rotation in org.apache.commons.math3.geometry.euclidean.threed

Fields in org.apache.commons.math3.geometry.euclidean.threed declared as Rotation
Modifier and Type
Field
Description
`static final Rotation`
Rotation.`IDENTITY`
Identity rotation.
Methods in org.apache.commons.math3.geometry.euclidean.threed that return Rotation
Modifier and Type
Method
Description
`Rotation`
Rotation.`applyInverseTo(Rotation r)`
Apply the inverse of the instance to another rotation.
`Rotation`
Rotation.`applyTo(Rotation r)`
Apply the instance to another rotation.
`Rotation`
Rotation.`compose(Rotation r, RotationConvention convention)`
Compose the instance with another rotation.
`Rotation`
Rotation.`composeInverse(Rotation r, RotationConvention convention)`
Compose the inverse of the instance with another rotation.
`Rotation`
Rotation.`revert()`
Revert a rotation.
`Rotation`
FieldRotation.`toRotation()`
Convert to a constant vector without derivatives.
Methods in org.apache.commons.math3.geometry.euclidean.threed with parameters of type Rotation
Modifier and Type
Method
Description
`FieldRotation<T>`
FieldRotation.`applyInverseTo(Rotation r)`
Apply the inverse of the instance to another rotation.
`static <T extends RealFieldElement<T>>
FieldRotation<T>`
FieldRotation.`applyInverseTo(Rotation rOuter, FieldRotation<T> rInner)`
Apply the inverse of a rotation to another rotation.
`static <T extends RealFieldElement<T>>
FieldVector3D<T>`
FieldRotation.`applyInverseTo(Rotation r, FieldVector3D<T> u)`
Apply the inverse of a rotation to a vector.
`Rotation`
Rotation.`applyInverseTo(Rotation r)`
Apply the inverse of the instance to another rotation.
`FieldRotation<T>`
FieldRotation.`applyTo(Rotation r)`
Apply the instance to another rotation.
`static <T extends RealFieldElement<T>>
FieldRotation<T>`
FieldRotation.`applyTo(Rotation r1, FieldRotation<T> rInner)`
Apply a rotation to another rotation.
`static <T extends RealFieldElement<T>>
FieldVector3D<T>`
FieldRotation.`applyTo(Rotation r, FieldVector3D<T> u)`
Apply a rotation to a vector.
`Rotation`
Rotation.`applyTo(Rotation r)`
Apply the instance to another rotation.
`FieldRotation<T>`
FieldRotation.`compose(Rotation r, RotationConvention convention)`
Compose the instance with another rotation.
`Rotation`
Rotation.`compose(Rotation r, RotationConvention convention)`
Compose the instance with another rotation.
`FieldRotation<T>`
FieldRotation.`composeInverse(Rotation r, RotationConvention convention)`
Compose the inverse of the instance with another rotation.
`Rotation`
Rotation.`composeInverse(Rotation r, RotationConvention convention)`
Compose the inverse of the instance with another rotation.
`static double`
Rotation.`distance(Rotation r1, Rotation r2)`
Compute the distance between two rotations.
`Plane`
Plane.`rotate(Vector3D center, Rotation rotation)`
Rotate the plane around the specified point.
`PolyhedronsSet`
PolyhedronsSet.`rotate(Vector3D center, Rotation rotation)`
Rotate the region around the specified point.

## Uses of Rotation in org.apache.commons.math3.geometry.spherical.twod

Methods in org.apache.commons.math3.geometry.spherical.twod with parameters of type Rotation
Modifier and Type
Method
Description
`static Transform<Sphere2D,Sphere1D>`
Circle.`getTransform(Rotation rotation)`
Get a `Transform` embedding a 3D rotation.